<template>
    <div class="bg-base q-gutter-y-lg">
        <div class="text-h5 text-weight-light">
            Remove Rule
        </div>
        <div class="text-body1">
            Are you sure you want to remove
            <span class="text-negative">{{ activeRule.rule.name }}</span>
            of ID
            <span class="text-negative">{{ activeRule.id }}</span>
            from your floor?
        </div>
        <div class="row justify-between">
            <q-btn outline label="Back" @click="$emit('back')"/>
            <q-btn label="Remove" color="negative" icon="delete" @click="Remove"/>
        </div>
    </div>
</template>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import {ActiveRuleResponse} from "src/classLibrary/APIModels/core/activeRuleResponse";
import {SuccessMessage, WarnMessage} from "src/classLibrary/Utility";

@Component
export default class RemoveRuleFromFloorDialog extends Vue {
    @Prop() activeRule!: ActiveRuleResponse;

    async Remove() {
        const token = await this.$auth.CoreToken;
        const r = await this.$coreApi.QDelete(`ActiveRule/${this.activeRule.id}`, null, token);
        const p = this;
        r.match({
            none: () => {
                p.$q.notify(SuccessMessage(`Successfully to removed rule '${p.activeRule.rule.name}' from floor`));
                p.$emit('remove');
            },
            some: (e) => {
                console.error(e);
                p.$q.notify(WarnMessage(`Failed to remove rule '${p.activeRule.rule.name}' from floor`))
            }
        })
    }
}
</script>

<style lang='scss' scoped>

</style>
